<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools">

    <!-- INTERNET -->
    <uses-permission android:name="android.permission.INTERNET"/>

    <!-- NOTIFICATION -->
    <uses-permission android:name="android.permission.POST_NOTIFICATIONS"/>

    <!-- FOREGROUND SERVICE -->
    <uses-permission android:name="android.permission.FOREGROUND_SERVICE"/>

    <!-- ANDROID 14 -->
    <uses-permission
        android:name="android.permission.FOREGROUND_SERVICE_DATA_SYNC"/>

    <!-- WAKE LOCK -->
    <uses-permission android:name="android.permission.WAKE_LOCK"/>

    <!-- AUTO START -->
    <uses-permission
        android:name="android.permission.RECEIVE_BOOT_COMPLETED"/>

    <application
        android:name="${applicationName}"
        android:label="doorguard"
        android:icon="@mipmap/launcher_icon">

        <!-- BACKGROUND SERVICE -->
        <service
            android:name="id.flutter.flutter_background_service.BackgroundService"
            android:foregroundServiceType="dataSync"
            android:exported="false"
            tools:replace="android:exported" />

        <!-- MAIN ACTIVITY -->
        <activity
            android:name=".MainActivity"
            android:exported="true"
            android:launchMode="singleTop"
            android:theme="@style/LaunchTheme"
            android:configChanges="orientation|keyboardHidden|keyboard|screenSize|locale|layoutDirection|fontScale|screenLayout|density|uiMode"
            android:hardwareAccelerated="true"
            android:windowSoftInputMode="adjustResize">

            <meta-data
                android:name="io.flutter.embedding.android.NormalTheme"
                android:resource="@style/NormalTheme"/>

            <intent-filter>
                <action android:name="android.intent.action.MAIN"/>
                <category android:name="android.intent.category.LAUNCHER"/>
            </intent-filter>

        </activity>

        <meta-data
            android:name="flutterEmbedding"
            android:value="2"/>

    </application>

</manifest>